Bug 2139 - rpm upgrade does not rebuild the rpm database
rpm upgrade does not rebuild the rpm database
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 1999-04-12 10:54 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-04-17 13:42:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 1999-04-12 10:54:32 EDT
After upgrading rpm from 2.5.5-5.2 to 2.94-6, any freshen
(-F) operations would fail silently, as though there were
nothing to upgrade.

Running an upgrade (-U) gave the message that the rpm
database needed to be rebuilt due to database changes.

After a database rebuild, the previous freshen operation
worked as expected.
Comment 1 Cristian Gafton 1999-04-12 12:30:59 EDT
jeff, maybe this could be done as a postinstall thingie ?
Comment 2 Jeff Johnson 1999-04-12 13:25:59 EDT
We don't do a --rebuilddb in the rpm %post for two reasons:
1) it normally isn't needed. The current change to a hashed
db is done once and once only.
2) the disk space and time requirements for installing rpm
would become indeterminate.

Note You need to log in before you can comment on or make changes to this bug.